<div class="container" style="background-color:cadetblue;">
    <form #f1="ngForm"> 
        <div class="row">
            <div class="col-12">
                <table class="table">
                    <tr>
                        <th>Title</th>
                        <th>
                            <input type="text" class="form-control" name="txt_title" #t1="ngModel" required [(ngModel)]="txt_title">
                            <h6 *ngIf="t1.touched && t1.invalid">
                                This field is Required
                            </h6>
                        </th>
                    </tr>
                    <tr>
                        <th>Description</th>
                        <th>
                            <textarea class="form-control" name="txt_desc"  #t2="ngModel" required [(ngModel)]="txt_desc"></textarea>
                            <h6 *ngIf="t2.touched && t2.invalid">
                                This field is Required
                            </h6>
                        </th>
                    </tr>
                    <tr>
                        <th>Status</th>
                        <th>
                            <select class="form-control" name="ddl_status" #t3="ngModel" required [(ngModel)]="ddl_status">
                                <option>To-DO</option>
                                <option>Dev-in-Progress</option>
                                <option>Test-in-Progress</option>
                                <option>Done</option>
                                <option>Rejected</option>
                            </select>
                            <h6 *ngIf="t3.touched && t3.invalid">
                                This field is Required
                            </h6>
                        </th>
                    </tr>
                    <tr>
                        <th colspan="2" style="text-align: center;">
                            <button [disabled]="f1.invalid" class="btn btn-primary" (click)="save(f1)" style="width: 300px;">Create Task</button>
                        </th>
                    </tr>
                </table>
            </div>
        </div>
    </form>
    
</div>
